package ir.kargar.karamad.setting;

import android.content.Context;
import android.content.SharedPreferences;

import androidx.appcompat.app.AppCompatActivity;

import ir.kargar.karamad.R;

public class MyUserManager extends AppCompatActivity {
    SharedPreferences sharedPreferences;
    SharedPreferences.Editor editor;

    public MyUserManager(Context context) {
        // Storing data into SharedPreferences
        this.sharedPreferences = context.getSharedPreferences("Login information",MODE_PRIVATE);
        // Creating an Editor object to edit(write to the file)
        editor = sharedPreferences.edit();
    }
    //Todo change placeImageId after get image from web
    public void savePlaceInformation(int position,String placesName,String baseUrl,String placeAddress,String placePhoneNumber,int placeImageId )
    {
        editor.putInt("position",position);
        editor.putString("placesName",placesName);
        editor.putString("baseUrl",baseUrl);
        editor.putString("placeAddress",placeAddress);
        editor.putString("placePhoneNumber",placePhoneNumber);
        editor.putInt("placeImageId",placeImageId);
        editor.apply();
    }
    public void saveUserName(String userName){
        editor.putString("username",userName);
        editor.apply();
    }
    public void savePassword(String password){
        editor.putString("password",password);
        editor.apply();
    }
    public int getPosition(){
        return sharedPreferences.getInt("position", 0);
    }
    public String getPlacesName(){
        return sharedPreferences.getString("placesName","");
    }

    public String getBaseUrl(){
        return sharedPreferences.getString("baseUrl","");
    }
    public String getPlaceAddress(){
        return sharedPreferences.getString("placeAddress","");
    }
    public String getPlacePhoneNumber(){
        return sharedPreferences.getString("placePhoneNumber","");
    }
    public int getPlaceImageId(){
        return sharedPreferences.getInt("placeImageId", R.drawable.store_icon);
    }
    public String getUserName(){
        return sharedPreferences.getString("username","");
    }
    public String getPassword(){
        return sharedPreferences.getString("password","");
    }

}
