package ir.kargar.karamad.place;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.List;

import ir.kargar.karamad.R;

public class MyPlaceSpinerAdapter extends BaseAdapter {
    private Context context;
//    private List<MyPlaces> placesList;
    private String[] placesName;
    private int[] placesImage;
    private LayoutInflater inflater;

    public MyPlaceSpinerAdapter(Context context, String[] placesName, int[]placeImage) {
//    public MyPlaceSpinerAdapter(Context context, List<MyPlaces> placesList) {
        this.context=context;
        this.placesName =placesName;
        this.placesImage =placeImage;
//        this.placesList=placesList;
        inflater=LayoutInflater.from(context);
    }

    @Override
    public int getCount() {
        return placesName.length;
//        return placesList.size();
    }

    @Override
    public Object getItem(int position) {
        return placesName[position];
//        return placesList.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder holder;
        if(convertView==null){
            convertView=inflater.inflate(R.layout.myplaces_item,parent,false);
            holder=new ViewHolder();
            holder.placeImage=(ImageView)convertView.findViewById(R.id.placeImage);
            holder.placename=(TextView)convertView.findViewById(R.id.placeName);
            convertView.setTag(holder);
        }
        else{
            holder=(ViewHolder)convertView.getTag();
        }
        holder.fill(position);
        return convertView;
    }
    public class ViewHolder {
        public TextView placename;
        public ImageView placeImage;

        public void fill(int position) {
            placename.setText(placesName[position]);
            placeImage.setImageResource(placesImage[position]);
//            placename.setText((placesList.get(position)).getPlaceName());
//            placeImage.setImageResource((placesList.get(position)).getPlaceImageId());
        }

    }
}

