package ir.kargar.karamad.place;

import androidx.annotation.NonNull;

public class MyPlaces {
    private String placeName;
    private String baseUrl;
    private String placeAddress;
    private String placePhoneNumber;
    private int placeImageId;   //Todo change aftre automaticaly download  from web
    /**
     * سازنده کلاس مکانها
     */
    public MyPlaces(String placeName, String baseUrl, String placeAddress, String placePhoneNumber, int placeImageId) {
        this.placeName = placeName;
        this.baseUrl = baseUrl;
        this.placePhoneNumber = placePhoneNumber;
        this.placeAddress =placeAddress;
        this.placeImageId = placeImageId;
    }
    /**
     * تنظیم نام مکان
     * @param placeName
     */
    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }
    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }
    public void setPlaceAddress(String placeAddress) {
        this.placeAddress = placeAddress;
    }
    public void setPlaceImageId(int placeImageId) {
        this.placeImageId = placeImageId;
    }
    public void setPlacePhoneNumber(String placePhoneNumber) {
        this.placePhoneNumber = placePhoneNumber;
    }

    /**
     * بازگ گرداندن نام مکان
     * @return
     */
    public String getPlaceName() {
        return placeName;
    }
    public String getBaseUrl() {
        return baseUrl;
    }
    public String getPlaceAddress() {
        return placeAddress;
    }
    public String getPlacePhoneNumber() {
        return placePhoneNumber;
    }
    //Todo type String
    public int getPlaceImageId() {
        return placeImageId;
    }

    /**
     * باز گرداندن نان فروشگاه با فراخوانی کلاس
     * @return
     */
    @NonNull
    @Override
    public String toString() {
        return placeName;
    }

}

